// CFecha.h: interface for the CFecha class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CFECHA_H__FCA2F326_FD1D_4742_A1AD_5D25DC8D4E88__INCLUDED_)
#define AFX_CFECHA_H__FCA2F326_FD1D_4742_A1AD_5D25DC8D4E88__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include<time.h>

class CFecha  
{

friend tm adj(tm);					//funciones amigas
friend CFecha operator+(CFecha, CFecha);
friend class CTiempo;

public:
	CFecha();						//Constructor por defecto
	CFecha(int, int, int);			//Constructor usando DD,MM,AAAA
	~CFecha();						//Destructor

	int VDia(void) const;			//Muestra el da del mes (1..31)
	int VDiaS(void) const;			//Muestra da de la semana (1=Lun..7=Dom)
	int VMes(void) const;			//Muestra el mes (1..12)
	int VAno(void) const;			//Muestra el ao, usando 4 dgitos

	int MDia(int);					//Cambia el da
	int MMes(int);					//Cambia el mes
	int MAno(int);					//Cambia el ao

	long static AHora();			//Funcin esttica que entrega el da actual

protected:
	tm t;

};

CFecha operator+(CFecha, CFecha);	//Suma dos fechas

#endif // !defined(AFX_CFECHA_H__FCA2F326_FD1D_4742_A1AD_5D25DC8D4E88__INCLUDED_)
