// Time.h: interface for the Time class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TIME_H__E67823A4_4392_4C42_9AA7_B89006054678__INCLUDED_)
#define AFX_TIME_H__E67823A4_4392_4C42_9AA7_B89006054678__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include<time.h>

class CHora  
{

friend CHora operator- (CHora, CHora);
friend CHora operator+(CHora, CHora);
friend class CTiempo;

public:
	int VHora(void) const;   	//entrega las horas
	int VMin(void) const;       //entrega los minutos
	int VSeg(void) const;       //entrega los segundos

	int MHora(int);     		//cambia la hora
	int MMin(int);      		//cambia los minutos
	int MSeg(int);      		//cambia los segundos

	CHora();              		//constructor por defecto
	CHora(int, int, int); 		//constructor usando hora,min,seg
	~CHora();             		//destructor

	long static AHora();		//Funcin esttica que entrega la hora actual

protected:
	tm t;
};

CHora operator+(CHora, CHora);	//operador suma
CHora operator-(CHora, CHora);	//operador resta
CHora operator*(int, CHora);	//mutipilcacion por entero
CHora operator/(CHora, int);	//division por entero

#endif // !defined(AFX_TIME_H__E67823A4_4392_4C42_9AA7_B89006054678__INCLUDED_)
