// Tiempo.h: interface for the CTiempo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TIEMPO_H__DCEA4CF2_7E4C_4528_B8ED_7AAB527D3E6B__INCLUDED_)
#define AFX_TIEMPO_H__DCEA4CF2_7E4C_4528_B8ED_7AAB527D3E6B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include<time.h>
#include"CHora.h"
#include"CFecha.h"

class CTiempo  
{

friend tm juntar(tm, tm);					//funciones amigas
friend bool operator>(CTiempo, CTiempo);
friend CTiempo operator-(CTiempo, CTiempo);
friend CTiempo operator/(CTiempo, int);
friend CTiempo operator+(CTiempo, CTiempo);

public:
	CTiempo();								 // Constructor por defecto
	~CTiempo();								 // Destructor por defecto
	CTiempo (int, int, int, int, int, int);	 // Constructor que permite definir el tiempo, en d,m,a,h,m,s

	void Cambiar (int, int, int, int, int, int);  // Permte cambiar los parmetros de un tiempo dado, en d,m,a,h,m,s

	CTiempo static AHora();		//Funcin esttica que entrega la fecha y hora actual

	int VHora(void) const;   	//entrega las horas
	int VMin(void) const;       //entrega los minutos
	int VSeg(void) const;       //entrega los segundos
	int VDia(void) const;       //entrega el dia del mes
	int VDiaS(void) const;      //entrega el dia de la semana
	int VMes(void) const;   	//entrega el mes
	int VAno(void) const;       //entrega el ao

private:
	CFecha f;					//variables privadas,
	CHora h;					//un CFecha, un CHora y un tm
	tm t;
};

#endif // !defined(AFX_TIEMPO_H__DCEA4CF2_7E4C_4528_B8ED_7AAB527D3E6B__INCLUDED_)
