#include "CTiempo.h"
#include <iostream.h>

char *Dias[] = { "Domingo", "Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado"};

int main (int argc, char * argv[])
{
	CTiempo tiempo[5];
	int opcion;
	int d[10];
	int i;
	for (i=0;i<5;i++)
		tiempo[i].Cambiar(1,1,1,1,1,1);  //Asigna valors distintos de 0 a las variables al iniciarlas
	for (;;)
	{
		cout << "\nPrograma de manejo de fechas\n"
			 << "============================\n\n"
			 << "1) Ver el tiempo que ha pasado desde una fecha hasta hoy\n"
			 << "2) Ver a que dia corresponde una fecha dada\n"
			 << "3) Ver cuanto tiempo ha vivido\n"
			 << "4) Promediar 3 tiempos\n"
			 << "5) Salir\n\n"
			 << "Ingrese opcion: ";
		cin  >> opcion;
		cout << "\n\n";

		switch(opcion)
		{
		case 1:
			cout <<"\nIngrese dia ";
			cin  >> d[0];
			cout <<"\nIngrese mes ";
			cin  >> d[1];
			cout <<"\nIngrese ao ";
			cin  >> d[2];
			cout <<"\nIngrese hora ";
			cin  >> d[3];
			cout <<"\nIngrese minutos ";
			cin  >> d[4];
			cout <<"\nIngrese segundos ";
			cin  >> d[5];
			
			d[1]=d[1]-1;					//ajusta el mes al formato interno del pc
			d[2]=d[2]-1900;					//ajusta el ao al formato interno del pc
			tiempo[1].Cambiar(d[0],d[1],d[2],d[3],d[4],d[5]);	//guarda el tiempo ingresado en tiempo[1]
			tiempo[0]=CTiempo::AHora();							//guarda la hora actual en tiempo[0]
			if (tiempo[0] > tiempo[1])							// si la hora ingresada es menor que la actual
			{													// se restan, y se calculan los dias pasados
				tiempo[2]= tiempo[0] - tiempo[1];
				cout << "\nHan pasado " << (tiempo[2].VAno()-70) << " ao(s), "	//muestra la informacin (el ao 1970 es considerado como cero
					 << tiempo[2].VMes() << " mes(es), y "						//para la resta, por eso se le restan 70 aos.	
					 << tiempo[2].VDia() << " dia(s).\n\n";
			}
			else
				cout << "Esa fecha todava no ha llegado...\n";					//reclama li la fecha ingresada es mayor que la actual
			break;

		case 2:
			cout <<"\nIngrese dia: ";
			cin  >> d[0];
			cout <<"\nIngrese mes: ";
			cin  >> d[1];
			cout <<"\nIngrese ao: ";
			cin  >> d[2];
			d[1]=d[1]-1;
			d[2]=d[2]-1900;
			tiempo[1].Cambiar(d[0],d[1],d[2],0,0,0);							//guarda el dia ingresado, con hora 00:00:00
			cout << "\nEl dia corresponde a un " << Dias[tiempo[1].VDiaS()] <<"\n"; // pregunta por el dia y busca su nombre en el vector dias

			break;

			
		case 3:
			cout <<"\nIngrese dia de nacimiento ";
			cin  >> d[0];
			cout <<"\nIngrese mes de nacimiento ";
			cin  >> d[1];
			cout <<"\nIngrese ao de nacimiento ";
			cin  >> d[2];
			cout <<"\nIngrese hora de nacimiento ";
			cin  >> d[3];
			cout <<"\nIngrese minuto de nacimiento ";
			cin  >> d[4];
			cout <<"\nIngrese segundo de nacimiento ";
			cin  >> d[5];
			d[1]=d[1]-1;
			d[2]=d[2]-1900;
			tiempo[1].Cambiar(d[0],d[1],d[2],d[3],d[4],d[5]);
			tiempo[0]=CTiempo::AHora();
			if (tiempo[0]> tiempo[1])						// verifica que la fecha de nacimiento sea antes que el instante actual
			{
				tiempo[2]= tiempo[0] - tiempo[1];
				cout << "\nHa vivido " << (tiempo[2].VAno() - 70) << " aos, "
					 << tiempo[2].VMes() << " meses, y " 
					 << tiempo[2].VDia() << " dias,"
					 << tiempo[2].VHora() << " horas, " 
					 << tiempo[2].VMin() << " minutos, y " 
					 << tiempo[2].VSeg() << " segundos.\n\n"; 
			}
			else
				cout << "Usted todavia no ha nacido...\n";  // si no, reclama

			break;

			
		case 4:
			for (i=0; i<3;i++)							//itera para preguntar por los 3 tiempos
			{
				cout <<"\nIngrese dia " << i+1 << ": ";
				cin  >> d[0];
				cout <<"\nIngrese mes " << i+1 << ": ";
				cin  >> d[1];
				cout <<"\nIngrese ao " << i+1 << ": ";
				cin  >> d[2];
				cout <<"\nIngrese hora " << i+1 << ": ";
				cin  >> d[3];
				cout <<"\nIngrese minutos " << i+1 << ": ";
				cin  >> d[4];
				cout <<"\nIngrese segundos " << i+1 << ": ";
				cin  >> d[5];
				d[1]=d[1]-1;
				d[2]=d[2]-1900;
				tiempo[i].Cambiar(d[0],d[1],d[2],d[3],d[4],d[5]);  //los va guardando en distintas variables

			}
			tiempo[4]= tiempo[0] + tiempo[1] + tiempo[2];		//los suma
			tiempo[4]=tiempo[4]/3;								// ylos divide por 3 (con esto tiene el promedio)
			cout << "\nEl dia promedio es " << tiempo[2].VDia() << "/" << tiempo[2].VMes() 
				 << "/" << (tiempo[2].VAno() + 1900) << "  "   // y lo muestra por pantalla
				 << tiempo[2].VHora() << ":" 
				 << tiempo[2].VMin() << ":" 
				 << tiempo[2].VSeg() << "\n\n"; 

		 	break;

		default:
			return(0);   //se sale del programa
		}
	}
	return(0);
}
